CMP(1)

NAMA
cmp - bandingkan dua berkas byte per byte

RINGKASAN
cmp [OPTION]... FILE1 [FILE2 [SKIP1 [SKIP2]]]

DESKRIPSI
Bandingkan dua berkas byte per byte.

SKIP1 dan SKIP2 adalah jumlah byte yang harus dilewati di awal setiap berkas (nilai baku adalah nol).

Argumen wajib untuk pilihan panjang adalah wajib untuk pilihan pendek juga.

-b, --print-bytes
    tampilkan byte yang berbeda

-i, --ignore-initial=SKIP
    lewati SKIP byte awal dari kedua masukan

-i, --ignore-initial=SKIP1:SKIP2
    lewati SKIP1 byte awal BERKAS1 dan SKIP2 byte awal BERKAS2

-l, --verbose
    keluarkan cacah byte dan nilai semua byte yang berbeda

-n, --bytes=LIMIT
    bandingkan paling banyak LIMIT byte

-s, --quiet, --silent
    cegah semua keluaran normal

--help
    tampilkan bantuan ini dan keluar

-v, --version
    tulis informasi versi dan keluar

Nilai SKIP dapat diikuti oleh suffiks perkalian berikut: kB 1000, K 1024, MB 1,000,000, M 1,048,576, GB 1,000,000,000, G 1,073,741,824, dan seterusnya untuk T, P, E, Z, Y.

Jika sebuah BERKAS adalah '-' atau tidak ada, baca masukan standar. Status keluar adalah 0 jika masukan sama, 1 jika berbeda, 2 jika bermasalah.

PENGARANG
Ditulis oleh Torbjorn Granlund dan David MacKenzie.

MELAPORKAN BUG
Laporkan bugs ke: <bug-diffutils@gnu.org>.
GNU diffutils halaman rumah: <https://www.gnu.org/software/diffutils/>
Bantuan umum menggunakan perangkat lunak GNU: <https://www.gnu.org/gethelp/>

HAK CIPTA
Hak Cipta © 2025 Free Software Foundation, Inc. License GPLv3+: GNU GPL versi 3 atau selanjutnya <https://gnu.org/licenses/gpl.html>.
Ini adalah perangkat lunak bebas: Anda bebas untuk mengubah dan mendistribusikannya. TIDAK ADA JAMINAN, sampai batas yang diperbolehkan oleh hukum.

LIHAT JUGA
diff(1), diff3(1), sdiff(1)

The full documentation for cmp is maintained as a Texinfo manual. If the info and cmp programs are properly installed at your site, the command

    info cmp

should give you access to the complete manual.

TERJEMAHAN
Terjemahan bahasa Indonesia dari halaman manual ini dibuat oleh

Terjemahan ini adalah Dokumentasi Gratis; baca GNU General Public License Versi 3 (https://www.gnu.org/licenses/gpl-3.0.html) atau yang lebih baru untuk Persyaratan hak cipta. Kami berasumsi TIDAK BERTANGGUNG JAWAB.

Jika Anda menemukan kesalahan dalam terjemahan halaman manual ini, silakan kirim email ke TODO.